Loading...
Searching...
No Matches
caf::io::network::ip_endpoint Struct Reference

A hashable wrapper for a sockaddr storage. More...

`#include <ip_endpoint.hpp>`

## Public Member Functions

| ip_endpoint ()
| Default constructor for sockaddr storage which reserves memory for the internal data structure on creation.
| ip_endpoint (ip_endpoint &&)=default
| Move constructor.
| ip_endpoint (const ip_endpoint &)
| Copy constructor.
| ~ip_endpoint ()=default
| Destructor.
ip_endpoint & | operator= (const ip_endpoint &)
| Copy assignment operator.
ip_endpoint & | operator= (ip_endpoint &&)=default
| Move assignment operator.
sockaddr * | address ()
| Returns a pointer to the internal address storage.
const sockaddr * | caddress () const
| Returns a constant pointer to the internal address storage.
size_t * | length ()
| Returns the length of the stored address.
const size_t * | clength () const
| Returns the length of the stored address.
void | clear ()
| Null internal storage and length.

## Detailed Description

A hashable wrapper for a sockaddr storage.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/network/ip_endpoint.hpp